commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert burrell donkin <robertburrelldon...@blueyonder.co.uk>
Subject Re: [jelly] jaxme tag library xml version woes
Date Wed, 24 Mar 2004 18:42:25 GMT
On 24 Mar 2004, at 15:50, Paul Libbrecht wrote:

> On 24-Mar-04, at 09:57 Uhr, robert burrell donkin wrote:
>> the tag library builds fine without dependencies but once the 
>> project.xml extends tag-project.xml, the tests fail. the issue is 
>> that the DOM libraries which ships with xerces 2.2.1 are incompatible 
>> with the ones used by jaxme. (if i comment out the parser 
>> dependencies in the project.xml, it works fine.) what makes solving 
>> this one tougher is that really the generator needs to use the parser 
>> from the base classloader (and so must have no xml parser 
>> dependencies in the the POM).
>>
>> any ideas?
>
> So upgrading the Xerces dependency wouldn't solve anything, correct ?

not sure but i'll give it a try. it's hard to know which jars come with 
which xerces implementation...

> Kind of dark.
> You should test it but I don't think there's any reliance on that 
> particular Xerces version (there shouldn't really).

(i'm not sure but) i seem to remember some issue about problems with 
backwards compatibility between different versions of w3c DOM. i think 
that the issue is that different versions of xerces ship with 
incompatible DOM implementations.

> Would the other way be to run the test in a forked VM ?

i'll look into this but i suspect the that maven will provide the 
incompatible inherited xerces dependency in the forked VM (which will 
cause the test to fail).

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message